Sign up now! · Forgot password?
RSS/Atom feed identi.ca Twitter

Python 3 support.

This discussion is connected to the gimp-developer-list.gnome.org mailing list which is provided by the GIMP developers and not related to gimpusers.com.

This is a read-only list on gimpusers.com so this discussion thread is read-only, too.

2 of 3 messages available
Toggle history

Please log in to manage your subscriptions.

1387202323.350066.151611395... 16 Jan 14:46
  Python 3 support. Josef Ridky 16 Jan 14:46
   Python 3 support. Joao S. O. Bueno 16 Jan 16:47
Josef Ridky
2018-01-16 14:46:25 UTC (9 months ago)

Python 3 support.

Hi developers,

I would like to ask, how is it with Python 3 support in gimp-2.8 and gimp-2.9? Is it supported or is required Python 2 only.

Best regards,

Josef Ridky Associate Software Engineer
Core Services Team
Red Hat Czech, s.r.o.

Joao S. O. Bueno
2018-01-16 16:47:50 UTC (9 months ago)

Python 3 support.

Hi -

It is currently Python 2 only - as GIMP 2.10 is using gtk2.0, and there are no working bindings from Python 3 to classic gtk 2 (non gobject introspection), and man time shortage in this area, GIMP won't be upgrading it for the launch of GIMP 2.10. Also, there is the need of avoiding breaking compatibility with plug-ins taht work on GIMP 2.x versions, including Python plug-ins.

If we can gather some enthusiasts we could start a work on Python 3 + gobject introspection and
Python 3 in the tree, that possibly could work as a standalone plug-in for GIMP 2.10 (and be ready
for GIMP 2.12 - 3.0)

js
-> wrote:

Hi developers,

I would like to ask, how is it with Python 3 support in gimp-2.8 and gimp-2.9? Is it supported or is required Python 2 only.

Best regards,

Josef Ridky Associate Software Engineer
Core Services Team
Red Hat Czech, s.r.o.

_______________________________________________ gimp-developer-list mailing list
List address: gimp-developer-list@gnome.org List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list List archives: https://mail.gnome.org/archives/gimp-developer-list